CREATE TABLE qbo_account
   ("AccountSubType" character varying(255),
    "AccountType" character varying(255),
    "AcctNum" numeric,
    "Active" character varying(255),
    "Classification" character varying(255),
    "CurrencyRef.name" character varying(255),
    "CurrencyRef.value" character varying(255),
    "CurrentBalance" numeric,
    "CurrentBalanceWithSubAccounts" numeric,
    "Description" character varying(255),
    domain character varying(255),
    "FullyQualifiedName" character varying(255),
    "AccountLevel1" character varying(255),
    "AccountLevel2" character varying(255),
    "AccountLevel3" character varying(255),
    "AccountLevel4" character varying(255),
    "AccountLevel5" character varying(255),
    "Id" numeric,
    "MetaData.CreateTime" timestamp without time zone,
    "MetaData.LastUpdatedTime" timestamp without time zone,
    "Name" character varying(255),
    "ParentRef.value" numeric,
    sparse character varying(255),
    "SubAccount" character varying(255),
    "SyncToken" numeric);

CREATE TABLE qbo_allexpenses
   ("CurrencyRef.name" character varying(255),
    "DocNumber" numeric,
    "VendorRef.name" character varying(255),
    "ExchangeRate" numeric,
    "Id" numeric,
    "PrivateNote" character varying(255),
    "TotalAmt" numeric,
    "TxnDate" timestamp without time zone,
    "AccountBasedExpenseLineDetail.AccountRef.name" character varying(255),
    "AccountLevel1" character varying(255),
    "AccountLevel2" character varying(255),
    "AccountLevel3" character varying(255),
    "AccountLevel4" character varying(255),
    "AccountLevel5" character varying(255),
    "AccountBasedExpenseLineDetail.AccountRef.value" numeric,
    "AccountBasedExpenseLineDetail.BillableStatus" character varying(255),
    "AccountBasedExpenseLineDetail.ClassRef.name" character varying(255),
    "AccountBasedExpenseLineDetail.ClassRef.value" numeric,
    "AccountBasedExpenseLineDetail.TaxCodeRef.value" character varying(255),
    "Amount" numeric,
    "Description" character varying(255),
    "Balance" numeric,
    "LineNum" numeric,
    "DueDate" timestamp without time zone,
    "DaysPastDue" numeric,
    "PastDue" character varying(255),
    "PastDueBalance" numeric);

CREATE TABLE qbo_allsales
   ("Amount" numeric,
    "Description" character varying(255),
    "DetailType" character varying(255),
    "Id" numeric,
    "LineNum" numeric,
    "SalesItemLineDetail.ClassRef.name" character varying(255),
    "SalesItemLineDetail.ClassRef.value" numeric,
    "SalesItemLineDetail.ItemRef.name" character varying(255),
    "AccountLevel1" character varying(255),
    "AccountLevel2" character varying(255),
    "AccountLevel3" character varying(255),
    "AccountLevel4" character varying(255),
    "AccountLevel5" character varying(255),
    "SalesItemLineDetail.ItemRef.value" numeric,
    "SalesItemLineDetail.Qty" numeric,
    "SalesItemLineDetail.TaxCodeRef.value" character varying(255),
    "SalesItemLineDetail.UnitPrice" numeric,
    "Balance" numeric,
    "BillAddr.City" character varying(255),
    "BillAddr.Country" character varying(255),
    "BillAddr.CountrySubDivisionCode" character varying(255),
    "BillAddr.Id" numeric,
    "BillAddr.Lat" numeric,
    "BillAddr.Line1" character varying(255),
    "BillAddr.Line2" character varying(255),
    "BillAddr.Long" numeric,
    "BillAddr.PostalCode" numeric,
    "BillEmail.Address" character varying(255),
    "CurrencyRef.name" character varying(255),
    "CurrencyRef.value" character varying(255),
    "CustomerMemo.value" character varying(255),
    "CustomerRef.name" character varying(255),
    "CustomerRef.value" numeric,
    "DeliveryInfo.DeliveryTime" timestamp without time zone,
    "DeliveryInfo.DeliveryType" character varying(255),
    "DocNumber" numeric,
    "PrivateNote" character varying(255),
    "ShipAddr.City" character varying(255),
    "ShipAddr.Country" character varying(255),
    "ShipAddr.CountrySubDivisionCode" character varying(255),
    "ShipAddr.Id" numeric,
    "ShipAddr.Lat" numeric,
    "ShipAddr.Line1" character varying(255),
    "ShipAddr.Line2" character varying(255),
    "ShipAddr.Long" numeric,
    "ShipAddr.PostalCode" numeric,
    "TotalAmt" numeric,
    "TxnDate" timestamp without time zone,
    "DueDate" timestamp without time zone,
    "DaysPastDue" numeric,
    "PastDue" character varying(255),
    "PastDueBalance" numeric,
    "FullyQualifiedName_1" character varying(255),
    "AccountLevel1_1" character varying(255),
    "AccountLevel2_1" character varying(255),
    "AccountLevel3_1" character varying(255),
    "AccountLevel4_1" character varying(255),
    "AccountLevel5_1" character varying(255));

CREATE TABLE qbo_ap_aging
   ("Vendor" character varying(255),
    "Current" numeric,
    "1 - 30" numeric,
    "31 - 60" numeric,
    "61 - 90" numeric,
    "91 and over" numeric,
    "Total" numeric);

CREATE TABLE qbo_ar_aging
   ("Customer" character varying(255),
    "Current" numeric,
    "1 - 30" numeric,
    "31 - 60" numeric,
    "61 - 90" numeric,
    "91 and over" numeric,
    "Total" numeric);

CREATE TABLE qbo_balancesheet_report
   ("Account" character varying(255),
    "Total" numeric,
    "Report" character varying(255));

CREATE TABLE qbo_bill
   ("APAccountRef.name" character varying(255),
    "APAccountRef.value" numeric,
    "Balance" numeric,
    "CurrencyRef.name" character varying(255),
    "CurrencyRef.value" character varying(255),
    "DocNumber" numeric,
    domain character varying(255),
    "DueDate" timestamp without time zone,
    "ExchangeRate" numeric,
    "Id" numeric,
    "MetaData.CreateTime" timestamp without time zone,
    "MetaData.LastUpdatedTime" timestamp without time zone,
    "PrivateNote" character varying(255),
    "SalesTermRef.value" numeric,
    sparse character varying(255),
    "SyncToken" numeric,
    "TotalAmt" numeric,
    "TxnDate" timestamp without time zone,
    "VendorRef.name" character varying(255),
    "VendorRef.value" numeric);

CREATE TABLE qbo_bill_lines
   ("APAccountRef.name" character varying(255),
    "APAccountRef.value" numeric,
    "Balance" numeric,
    "CurrencyRef.name" character varying(255),
    "CurrencyRef.value" character varying(255),
    "DocNumber" numeric,
    domain character varying(255),
    "DueDate" timestamp without time zone,
    "ExchangeRate" numeric,
    "Id" numeric,
    "MetaData.CreateTime" timestamp without time zone,
    "MetaData.LastUpdatedTime" timestamp without time zone,
    "PrivateNote" character varying(255),
    "SalesTermRef.value" numeric,
    sparse character varying(255),
    "SyncToken" numeric,
    "TotalAmt" numeric,
    "TxnDate" timestamp without time zone,
    "VendorRef.name" character varying(255),
    "VendorRef.value" numeric,
    "AccountBasedExpenseLineDetail.AccountRef.name" character varying(255),
    "AccountLevel1" character varying(255),
    "AccountLevel2" character varying(255),
    "AccountLevel3" character varying(255),
    "AccountLevel4" character varying(255),
    "AccountLevel5" character varying(255),
    "AccountBasedExpenseLineDetail.AccountRef.value" numeric,
    "AccountBasedExpenseLineDetail.BillableStatus" character varying(255),
    "AccountBasedExpenseLineDetail.ClassRef.name" character varying(255),
    "AccountBasedExpenseLineDetail.ClassRef.value" numeric,
    "AccountBasedExpenseLineDetail.TaxCodeRef.value" character varying(255),
    "Amount" numeric,
    "BillRef.value" numeric,
    "Description" character varying(255),
    "DetailType" character varying(255),
    "LineNum" numeric);

CREATE TABLE qbo_budget_detail
   ("AccountSubType" character varying(255),
    "AccountType" character varying(255),
    "AcctNum" numeric,
    "Active" character varying(255),
    "Classification" character varying(255),
    "CurrencyRef.name" character varying(255),
    "CurrencyRef.value" character varying(255),
    "CurrentBalance" numeric,
    "CurrentBalanceWithSubAccounts" numeric,
    "Description" character varying(255),
    domain character varying(255),
    "FullyQualifiedName" character varying(255),
    "AccountLevel1" character varying(255),
    "AccountLevel2" character varying(255),
    "AccountLevel3" character varying(255),
    "AccountLevel4" character varying(255),
    "AccountLevel5" character varying(255),
    "MetaData.CreateTime" timestamp without time zone,
    "MetaData.LastUpdatedTime" timestamp without time zone,
    "Name" character varying(255),
    "ParentRef.value" numeric,
    sparse character varying(255),
    "SubAccount" character varying(255),
    "SyncToken" numeric,
    "Active_1" character varying(255),
    "BudgetEntryType" character varying(255),
    "BudgetType" character varying(255),
    domain_1 character varying(255),
    "EndDate" timestamp without time zone,
    "Id_1" numeric,
    "MetaData.CreateTime_1" timestamp without time zone,
    "MetaData.LastUpdatedTime_1" timestamp without time zone,
    "Name_1" character varying(255),
    sparse_1 character varying(255),
    "StartDate" timestamp without time zone,
    "SyncToken_1" numeric,
    "AccountRef.name" character varying(255),
    "AccountRef.value" numeric,
    "Amount" numeric,
    "BudgetDate" timestamp without time zone,
    "BudgetRef.value" numeric);

CREATE TABLE qbo_company_name
   ("CompanyName" character varying(255));

CREATE TABLE qbo_customerincome_report
   ("Customer" character varying(255),
    "Income" numeric,
    "Expenses" numeric,
    "Net Income" numeric);

CREATE TABLE qbo_customers
   ("Active" character varying(255),
    "Balance" numeric,
    "BalanceWithJobs" numeric,
    "BillAddr.City" character varying(255),
    "BillAddr.Country" character varying(255),
    "BillAddr.CountrySubDivisionCode" character varying(255),
    "BillAddr.Id" numeric,
    "BillAddr.Lat" numeric,
    "BillAddr.Line1" character varying(255),
    "BillAddr.Line2" character varying(255),
    "BillAddr.Long" numeric,
    "BillAddr.PostalCode" numeric,
    "BillWithParent" character varying(255),
    "CompanyName" character varying(255),
    "CurrencyRef.name" character varying(255),
    "CurrencyRef.value" character varying(255),
    "DisplayName" character varying(255),
    domain character varying(255),
    "FamilyName" character varying(255),
    "FullyQualifiedName" character varying(255),
    "GivenName" character varying(255),
    "Id" numeric,
    "Job" character varying(255),
    "MetaData.CreateTime" timestamp without time zone,
    "MetaData.LastUpdatedTime" timestamp without time zone,
    "Mobile.FreeFormNumber" character varying(255),
    "Notes" character varying(255),
    "PaymentMethodRef.value" numeric,
    "PreferredDeliveryMethod" character varying(255),
    "PrimaryEmailAddr.Address" character varying(255),
    "PrimaryPhone.FreeFormNumber" character varying(255),
    "PrintOnCheckName" character varying(255),
    "SalesTermRef.value" numeric,
    "ShipAddr.City" character varying(255),
    "ShipAddr.Country" character varying(255),
    "ShipAddr.CountrySubDivisionCode" character varying(255),
    "ShipAddr.Id" numeric,
    "ShipAddr.Lat" character varying(255),
    "ShipAddr.Line1" character varying(255),
    "ShipAddr.Line2" character varying(255),
    "ShipAddr.Long" character varying(255),
    "ShipAddr.PostalCode" numeric,
    sparse character varying(255),
    "SyncToken" numeric,
    "Taxable" character varying(255),
    "WebAddr.URI" character varying(255));

CREATE TABLE qbo_invoice
   ("AllowIPNPayment" character varying(255),
    "AllowOnlineACHPayment" character varying(255),
    "AllowOnlineCreditCardPayment" character varying(255),
    "AllowOnlinePayment" character varying(255),
    "ApplyTaxAfterDiscount" character varying(255),
    "Balance" numeric,
    "BillAddr.City" character varying(255),
    "BillAddr.Country" character varying(255),
    "BillAddr.CountrySubDivisionCode" character varying(255),
    "BillAddr.Id" numeric,
    "BillAddr.Lat" numeric,
    "BillAddr.Line1" character varying(255),
    "BillAddr.Line2" character varying(255),
    "BillAddr.Long" numeric,
    "BillAddr.PostalCode" numeric,
    "BillEmail.Address" character varying(255),
    "CurrencyRef.name" character varying(255),
    "CurrencyRef.value" character varying(255),
    "CustomerMemo.value" character varying(255),
    "CustomerRef.name" character varying(255),
    "CustomerRef.value" numeric,
    "DeliveryInfo.DeliveryTime" timestamp without time zone,
    "DeliveryInfo.DeliveryType" character varying(255),
    "Deposit" numeric,
    "DocNumber" numeric,
    domain character varying(255),
    "DueDate" timestamp without time zone,
    "ECloudStatusTimeStamp" timestamp without time zone,
    "EInvoiceStatus" character varying(255),
    "EmailStatus" character varying(255),
    "ExchangeRate" numeric,
    "HomeTotalAmt" numeric,
    "Id" numeric,
    "MetaData.CreateTime" timestamp without time zone,
    "MetaData.LastUpdatedTime" timestamp without time zone,
    "PrintStatus" character varying(255),
    "PrivateNote" character varying(255),
    "SalesTermRef.value" numeric,
    "ShipAddr.City" character varying(255),
    "ShipAddr.Country" character varying(255),
    "ShipAddr.CountrySubDivisionCode" character varying(255),
    "ShipAddr.Id" numeric,
    "ShipAddr.Lat" numeric,
    "ShipAddr.Line1" character varying(255),
    "ShipAddr.Line2" character varying(255),
    "ShipAddr.Long" numeric,
    "ShipAddr.PostalCode" numeric,
    sparse character varying(255),
    "SyncToken" numeric,
    "TotalAmt" numeric,
    "TxnDate" timestamp without time zone);

CREATE TABLE qbo_invoice_lines
   ("AllowIPNPayment" character varying(255),
    "AllowOnlineACHPayment" character varying(255),
    "AllowOnlineCreditCardPayment" character varying(255),
    "AllowOnlinePayment" character varying(255),
    "ApplyTaxAfterDiscount" character varying(255),
    "Balance" numeric,
    "BillAddr.City" character varying(255),
    "BillAddr.Country" character varying(255),
    "BillAddr.CountrySubDivisionCode" character varying(255),
    "BillAddr.Id" numeric,
    "BillAddr.Lat" numeric,
    "BillAddr.Line1" character varying(255),
    "BillAddr.Line2" character varying(255),
    "BillAddr.Long" numeric,
    "BillAddr.PostalCode" numeric,
    "BillEmail.Address" character varying(255),
    "CurrencyRef.name" character varying(255),
    "CurrencyRef.value" character varying(255),
    "CustomerMemo.value" character varying(255),
    "CustomerRef.name" character varying(255),
    "CustomerRef.value" numeric,
    "DeliveryInfo.DeliveryTime" timestamp without time zone,
    "DeliveryInfo.DeliveryType" character varying(255),
    "Deposit" numeric,
    "DocNumber" numeric,
    domain character varying(255),
    "DueDate" timestamp without time zone,
    "ECloudStatusTimeStamp" timestamp without time zone,
    "EInvoiceStatus" character varying(255),
    "EmailStatus" character varying(255),
    "ExchangeRate" numeric,
    "HomeTotalAmt" numeric,
    "Id" numeric,
    "MetaData.CreateTime" timestamp without time zone,
    "MetaData.LastUpdatedTime" timestamp without time zone,
    "PrintStatus" character varying(255),
    "PrivateNote" character varying(255),
    "SalesTermRef.value" numeric,
    "ShipAddr.City" character varying(255),
    "ShipAddr.Country" character varying(255),
    "ShipAddr.CountrySubDivisionCode" character varying(255),
    "ShipAddr.Id" numeric,
    "ShipAddr.Lat" numeric,
    "ShipAddr.Line1" character varying(255),
    "ShipAddr.Line2" character varying(255),
    "ShipAddr.Long" numeric,
    "ShipAddr.PostalCode" numeric,
    sparse character varying(255),
    "SyncToken" numeric,
    "TotalAmt" numeric,
    "TxnDate" timestamp without time zone,
    "Amount" numeric,
    "Description" character varying(255),
    "DetailType" character varying(255),
    "Id_1" numeric,
    "LineNum" numeric,
    "SalesItemLineDetail.ClassRef.name" character varying(255),
    "SalesItemLineDetail.ClassRef.value" numeric,
    "SalesItemLineDetail.ItemRef.name" character varying(255),
    "AccountLevel1" character varying(255),
    "AccountLevel2" character varying(255),
    "AccountLevel3" character varying(255),
    "AccountLevel4" character varying(255),
    "AccountLevel5" character varying(255),
    "SalesItemLineDetail.ItemRef.value" numeric,
    "SalesItemLineDetail.Qty" numeric,
    "SalesItemLineDetail.TaxCodeRef.value" character varying(255),
    "SalesItemLineDetail.UnitPrice" numeric);

CREATE TABLE qbo_items
   ("Active" character varying(255),
    "Description" character varying(255),
    domain character varying(255),
    "FullyQualifiedName" character varying(255),
    "Id" numeric,
    "IncomeAccountRef.name" character varying(255),
    "IncomeAccountRef.value" numeric,
    "Level" numeric,
    "MetaData.CreateTime" timestamp without time zone,
    "MetaData.LastUpdatedTime" timestamp without time zone,
    "Name" character varying(255),
    "ParentRef.name" character varying(255),
    "ParentRef.value" numeric,
    "PurchaseCost" numeric,
    sparse character varying(255),
    "SubItem" character varying(255),
    "SyncToken" numeric,
    "Taxable" character varying(255),
    "TrackQtyOnHand" character varying(255),
    "Type" character varying(255),
    "UnitPrice" numeric);

CREATE TABLE qbo_profitloss_report
   ("Date" timestamp without time zone,
    "Transaction Type" character varying(255),
    "Num" character varying(255),
    "Create Date" timestamp without time zone,
    "Created By" character varying(255),
    "Last Modified" timestamp without time zone,
    "Last Modified By" character varying(255),
    "Name" character varying(255),
    "Class" character varying(255),
    "Memo/Description" character varying(255),
    "Split" character varying(255),
    "Debit" numeric,
    "Credit" numeric,
    "Payment Method" character varying(255),
    "Amount" character varying(255),
    "Balance" character varying(255),
    "Exchange Rate" character varying(255),
    "Currency" character varying(255),
    "Foreign Amount" character varying(255),
    "Report" character varying(255));

CREATE TABLE qbo_purchase
   ("AccountRef.name" character varying(255),
    "AccountRef.value" numeric,
    "CurrencyRef.name" character varying(255),
    "CurrencyRef.value" character varying(255),
    "DocNumber" numeric,
    domain character varying(255),
    "EntityRef.name" character varying(255),
    "EntityRef.type" character varying(255),
    "EntityRef.value" numeric,
    "ExchangeRate" numeric,
    "Id" numeric,
    "MetaData.CreateTime" timestamp without time zone,
    "MetaData.LastUpdatedTime" timestamp without time zone,
    "PaymentMethodRef.value" numeric,
    "PaymentType" character varying(255),
    "PrintStatus" character varying(255),
    "PrivateNote" character varying(255),
    "RemitToAddr.City" character varying(255),
    "RemitToAddr.Country" character varying(255),
    "RemitToAddr.CountrySubDivisionCode" character varying(255),
    "RemitToAddr.Id" numeric,
    "RemitToAddr.Line1" character varying(255),
    "RemitToAddr.PostalCode" numeric,
    sparse character varying(255),
    "SyncToken" numeric,
    "TotalAmt" numeric,
    "TxnDate" timestamp without time zone);

CREATE TABLE qbo_purchase_lines
   ("AccountRef.name" character varying(255),
    "AccountRef.value" numeric,
    "CurrencyRef.name" character varying(255),
    "CurrencyRef.value" character varying(255),
    "DocNumber" numeric,
    domain character varying(255),
    "EntityRef.name" character varying(255),
    "EntityRef.type" character varying(255),
    "EntityRef.value" numeric,
    "ExchangeRate" numeric,
    "Id" numeric,
    "MetaData.CreateTime" timestamp without time zone,
    "MetaData.LastUpdatedTime" timestamp without time zone,
    "PaymentMethodRef.value" numeric,
    "PaymentType" character varying(255),
    "PrintStatus" character varying(255),
    "PrivateNote" character varying(255),
    "RemitToAddr.City" character varying(255),
    "RemitToAddr.Country" character varying(255),
    "RemitToAddr.CountrySubDivisionCode" character varying(255),
    "RemitToAddr.Id" numeric,
    "RemitToAddr.Line1" character varying(255),
    "RemitToAddr.PostalCode" numeric,
    sparse character varying(255),
    "SyncToken" numeric,
    "TotalAmt" numeric,
    "TxnDate" timestamp without time zone,
    "AccountBasedExpenseLineDetail.AccountRef.name" character varying(255),
    "AccountLevel1" character varying(255),
    "AccountLevel2" character varying(255),
    "AccountLevel3" character varying(255),
    "AccountLevel4" character varying(255),
    "AccountLevel5" character varying(255),
    "AccountBasedExpenseLineDetail.AccountRef.value" numeric,
    "AccountBasedExpenseLineDetail.BillableStatus" character varying(255),
    "AccountBasedExpenseLineDetail.ClassRef.name" character varying(255),
    "AccountBasedExpenseLineDetail.ClassRef.value" numeric,
    "AccountBasedExpenseLineDetail.CustomerRef.name" character varying(255),
    "AccountBasedExpenseLineDetail.CustomerRef.value" numeric,
    "AccountBasedExpenseLineDetail.TaxCodeRef.value" character varying(255),
    "Amount" numeric,
    "Description" character varying(255),
    "DetailType" character varying(255),
    "Id_1" numeric);

CREATE TABLE qbo_salesreceipt
   ("ApplyTaxAfterDiscount" character varying(255),
    "Balance" numeric,
    "BillAddr.City" character varying(255),
    "BillAddr.Country" character varying(255),
    "BillAddr.CountrySubDivisionCode" character varying(255),
    "BillAddr.Id" numeric,
    "BillAddr.Lat" numeric,
    "BillAddr.Line1" character varying(255),
    "BillAddr.Line2" character varying(255),
    "BillAddr.Long" numeric,
    "BillAddr.PostalCode" numeric,
    "BillEmail.Address" character varying(255),
    "CreditCardPayment.CreditChargeInfo.Amount" numeric,
    "CreditCardPayment.CreditChargeInfo.CcExpiryMonth" numeric,
    "CreditCardPayment.CreditChargeInfo.CcExpiryYear" numeric,
    "CreditCardPayment.CreditChargeInfo.NameOnAcct" character varying(255),
    "CreditCardPayment.CreditChargeInfo.Number" character varying(255),
    "CreditCardPayment.CreditChargeInfo.PostalCode" numeric,
    "CreditCardPayment.CreditChargeInfo.ProcessPayment" character varying(255),
    "CreditCardPayment.CreditChargeResponse.AuthCode" numeric,
    "CreditCardPayment.CreditChargeResponse.AvsStreet" character varying(255),
    "CreditCardPayment.CreditChargeResponse.AvsZip" character varying(255),
    "CreditCardPayment.CreditChargeResponse.CardSecurit" character varying(255),
    "CreditCardPayment.CreditChargeResponse.CCTransId" character varying(255),
    "CreditCardPayment.CreditChargeResponse.Status" character varying(255),
    "CreditCardPayment.CreditChargeResponse.TxnAuthoriz" timestamp without time zone,
    "CurrencyRef.name" character varying(255),
    "CurrencyRef.value" character varying(255),
    "CustomerMemo.value" character varying(255),
    "CustomerRef.name" character varying(255),
    "CustomerRef.value" numeric,
    "DeliveryInfo.DeliveryTime" timestamp without time zone,
    "DeliveryInfo.DeliveryType" character varying(255),
    "DepositToAccountRef.name" character varying(255),
    "DepositToAccountRef.value" numeric,
    "DocNumber" numeric,
    domain character varying(255),
    "EmailStatus" character varying(255),
    "ExchangeRate" numeric,
    "HomeTotalAmt" numeric,
    "Id" numeric,
    "MetaData.CreateTime" timestamp without time zone,
    "MetaData.LastUpdatedTime" timestamp without time zone,
    "PaymentMethodRef.name" character varying(255),
    "PaymentMethodRef.value" numeric,
    "PaymentRefNum" numeric,
    "PrintStatus" character varying(255),
    "PrivateNote" character varying(255),
    "ShipAddr.City" character varying(255),
    "ShipAddr.Country" character varying(255),
    "ShipAddr.CountrySubDivisionCode" character varying(255),
    "ShipAddr.Id" numeric,
    "ShipAddr.Lat" numeric,
    "ShipAddr.Line1" character varying(255),
    "ShipAddr.Line2" character varying(255),
    "ShipAddr.Long" numeric,
    "ShipAddr.PostalCode" numeric,
    sparse character varying(255),
    "SyncToken" numeric,
    "TotalAmt" numeric,
    "TxnDate" timestamp without time zone,
    "TxnSource" character varying(255));

CREATE TABLE qbo_salesreceipt_lines
   ("Amount" numeric,
    "Description" character varying(255),
    "DetailType" character varying(255),
    "Id" numeric,
    "LineNum" numeric,
    "SalesItemLineDetail.ClassRef.name" character varying(255),
    "SalesItemLineDetail.ClassRef.value" numeric,
    "SalesItemLineDetail.ItemRef.name" character varying(255),
    "AccountLevel1" character varying(255),
    "AccountLevel2" character varying(255),
    "AccountLevel3" character varying(255),
    "AccountLevel4" character varying(255),
    "AccountLevel5" character varying(255),
    "SalesItemLineDetail.ItemRef.value" numeric,
    "SalesItemLineDetail.Qty" numeric,
    "SalesItemLineDetail.TaxCodeRef.value" character varying(255),
    "SalesItemLineDetail.UnitPrice" numeric,
    "ApplyTaxAfterDiscount" character varying(255),
    "Balance" numeric,
    "BillAddr.City" character varying(255),
    "BillAddr.Country" character varying(255),
    "BillAddr.CountrySubDivisionCode" character varying(255),
    "BillAddr.Id" numeric,
    "BillAddr.Lat" numeric,
    "BillAddr.Line1" character varying(255),
    "BillAddr.Line2" character varying(255),
    "BillAddr.Long" numeric,
    "BillAddr.PostalCode" numeric,
    "BillEmail.Address" character varying(255),
    "CreditCardPayment.CreditChargeInfo.Amount" numeric,
    "CreditCardPayment.CreditChargeInfo.CcExpiryMonth" numeric,
    "CreditCardPayment.CreditChargeInfo.CcExpiryYear" numeric,
    "CreditCardPayment.CreditChargeInfo.NameOnAcct" character varying(255),
    "CreditCardPayment.CreditChargeInfo.Number" character varying(255),
    "CreditCardPayment.CreditChargeInfo.PostalCode" numeric,
    "CreditCardPayment.CreditChargeInfo.ProcessPayment" character varying(255),
    "CreditCardPayment.CreditChargeResponse.AuthCode" numeric,
    "CreditCardPayment.CreditChargeResponse.AvsStreet" character varying(255),
    "CreditCardPayment.CreditChargeResponse.AvsZip" character varying(255),
    "CreditCardPayment.CreditChargeResponse.CardSecurit" character varying(255),
    "CreditCardPayment.CreditChargeResponse.CCTransId" character varying(255),
    "CreditCardPayment.CreditChargeResponse.Status" character varying(255),
    "CreditCardPayment.CreditChargeResponse.TxnAuthoriz" timestamp without time zone,
    "CurrencyRef.name" character varying(255),
    "CurrencyRef.value" character varying(255),
    "CustomerMemo.value" character varying(255),
    "CustomerRef.name" character varying(255),
    "CustomerRef.value" numeric,
    "DeliveryInfo.DeliveryTime" timestamp without time zone,
    "DeliveryInfo.DeliveryType" character varying(255),
    "DepositToAccountRef.name" character varying(255),
    "DepositToAccountRef.value" numeric,
    "DocNumber" numeric,
    domain character varying(255),
    "EmailStatus" character varying(255),
    "ExchangeRate" numeric,
    "HomeTotalAmt" numeric,
    "Id_1" numeric,
    "MetaData.CreateTime" timestamp without time zone,
    "MetaData.LastUpdatedTime" timestamp without time zone,
    "PaymentMethodRef.name" character varying(255),
    "PaymentMethodRef.value" numeric,
    "PaymentRefNum" numeric,
    "PrintStatus" character varying(255),
    "PrivateNote" character varying(255),
    "ShipAddr.City" character varying(255),
    "ShipAddr.Country" character varying(255),
    "ShipAddr.CountrySubDivisionCode" character varying(255),
    "ShipAddr.Id" numeric,
    "ShipAddr.Lat" numeric,
    "ShipAddr.Line1" character varying(255),
    "ShipAddr.Line2" character varying(255),
    "ShipAddr.Long" numeric,
    "ShipAddr.PostalCode" numeric,
    sparse character varying(255),
    "SyncToken" numeric,
    "TotalAmt" numeric,
    "TxnDate" timestamp without time zone,
    "TxnSource" character varying(255));

CREATE TABLE qbo_vendorcredit
   ("APAccountRef.name" character varying(255),
    "APAccountRef.value" numeric,
    "CurrencyRef.name" character varying(255),
    "CurrencyRef.value" character varying(255),
    domain character varying(255),
    "ExchangeRate" numeric,
    "Id" numeric,
    "MetaData.CreateTime" timestamp without time zone,
    "MetaData.LastUpdatedTime" timestamp without time zone,
    "PrivateNote" character varying(255),
    sparse character varying(255),
    "SyncToken" numeric,
    "TotalAmt" numeric,
    "TxnDate" timestamp without time zone,
    "VendorRef.name" character varying(255),
    "VendorRef.value" numeric);

CREATE TABLE qbo_vendorcredit_lines
   ("APAccountRef.name" character varying(255),
    "APAccountRef.value" numeric,
    "CurrencyRef.name" character varying(255),
    "CurrencyRef.value" character varying(255),
    domain character varying(255),
    "ExchangeRate" numeric,
    "Id" numeric,
    "MetaData.CreateTime" timestamp without time zone,
    "MetaData.LastUpdatedTime" timestamp without time zone,
    "PrivateNote" character varying(255),
    sparse character varying(255),
    "SyncToken" numeric,
    "TotalAmt" numeric,
    "TxnDate" timestamp without time zone,
    "VendorRef.name" character varying(255),
    "VendorRef.value" numeric,
    "AccountBasedExpenseLineDetail.AccountRef.name" character varying(255),
    "AccountLevel1" character varying(255),
    "AccountLevel2" character varying(255),
    "AccountLevel3" character varying(255),
    "AccountLevel4" character varying(255),
    "AccountLevel5" character varying(255),
    "AccountBasedExpenseLineDetail.AccountRef.value" numeric,
    "AccountBasedExpenseLineDetail.BillableStatus" character varying(255),
    "AccountBasedExpenseLineDetail.TaxCodeRef.value" character varying(255),
    "Amount" numeric,
    "Description" character varying(255),
    "DetailType" character varying(255),
    "Id_1" numeric,
    "LineNum" numeric,
    "VendorCreditRef.value" numeric);